Package com.google.android.exoplayer2.metadata.scte35

## Class SpliceScheduleCommand.ComponentSplice

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceScheduleCommand.ComponentSplice

- Enclosing class:
    SpliceScheduleCommand

      public static final class SpliceScheduleCommand.ComponentSplice
      extends Object

  Holds splicing information for specific splice schedule command components.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `componentTag` |
    `long` | `utcSpliceTime` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### componentTag

          public final int componentTag

    - #### utcSpliceTime

          public final long utcSpliceTime